(function (history) {
    var pushState = history.pushState;
    history.pushState = function (state) {
        if (typeof history.onpushstate == "function") {
            history.onpushstate({
                state: state
            })
        }
        return pushState.apply(history, arguments)
    }
})(window.history);
history.onpushstate = function (e) {
    bindVideoEvent();
};
function getVideoOffsetTop(obj) {
    var theTop = 0;
    while (obj.nodeName != "BODY" && (theTop == 0 || obj.offsetHeight == 0)) {
        obj = obj.parentNode;
        theTop = obj.offsetTop;
    }
    return theTop - document.body.scrollTop;
}
function bindVideoEvent() {
    setTimeout(function () {
        var videoObj = document.getElementsByTagName("video");
        for (var i = 0; i < videoObj.length; i++) {
            videoObj[i].addEventListener("playing", function () {
                var currTime = parseInt(this.currentTime);
                if (currTime == 0) {
                    var duration = parseInt(this.duration);
                    this.muted = true;
                    toApp.playVideo(currTime, duration, getVideoOffsetTop(this), this.offsetWidth, this.offsetHeight, this.src);
                }
            });
        }
    }, 500);
}
if (navigator.userAgent.indexOf(";pcua") == -1 && document.domain.indexOf("iqiyi.com")) {
    bindVideoEvent();
}
